Subject: Re: bug#66779: 30.0.50; Gnus Article faces are not applied if attachment

From: Björn Bidar <[email-masked]>
Date: Sun, 19 Jan 2025 13:59:49 +0200

I think I have found the causal for this issue.

Ultimately the setting:
~(setq gnus-treat-highlight-citation 'last)~

Was the causal no matter the other settings.

The minimum amount settings to reproduce the bug was:
#+begin_src emacs-lisp
(setq gnus-select-method '(nntp "Gmane" (nntp-address "news.gmane.io")))
(setq gnus-treat-highlight-citation 'last)
#+end_src

I tried to use other settings with this variable
such as:
1. ~(setq gnus-treat-highlight-citation 'first)~
- The first part, HTML part is treated but the
text part isn't.
- With ~(setopt mm-discouraged-alternatives '("text/html"))~ the text part is treated, everything work as it should it seems.
2. ~(setq gnus-threat-highlight-citation 10000)~

The Gnus manual states that the valid values are only:
~t~ or ~integer~:
#+begin_quote
‘gnus-treat-highlight-citation (t, integer)’
#+end_quote

Which means that even thou ~'first~ works it isn't intended.

The message I used to verify the bug was,
_Re: Two very small bugs and a wish list_ from Fran Burstall
in _gmane.emacs.emms.user_.

While trying to go through the option which possibly could
cause this issue I noticed some related things.

1. I tested if using Emacs-w3m instead of Shr as ~mm-text-html-renderer~
caused the issue, it didn't. Only the appereance was slihtly different
which is normal.
2. Setting ~(setopt mm-discouraged-alternatives '("text/html"))~
   kinda changed things even with emacs -Q,
   some parts of the HTML part of the message looked fine while others don't.
   The quoting fontification of the HTML isn't applied but the text part's
   fontifications is. The opposite that happens when discouraged alternatives doesn't contain ~text/html~.
   While verifying this ~gnus-treat-highlight-citation~ was the standard
   value, t.

   When ~(setq gnus-unbuttonized-mime-types '("text/plain"))~ is also
   set the citation was fontified correctly for both parts.